package com.sw.mes.yb.pad.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.pad.entity.SectionNoDetail;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface SectionNoDetailService extends BaseService<SectionNoDetail> {
    /**
     * 根据晶段编号获取晶段信息
     * @param sectionNo
     * @return
     */
    SectionNoDetail findBySectionNo(String sectionNo);
    SectionNoDetail findByLikeSectionNo(String sectionNo);

    /**
     * 传入单晶编号，判断是否存在
     *
     * @param sectionNo
     * @return
     */
    Boolean sectionNoDetailIsExist(String sectionNo);


    List<SectionNoDetail> findByCrystalIdAndParentId(Long goodsId, Long parentId);

    List<SectionNoDetail> findByParentId(Long goodsId);

    Integer findSegmentNumByNo(String crystalNo);

    List<SectionNoDetail> findByCrystalNoAndSectionPosiotion(String crystalNo, Integer sectionPosiotion);

    SectionNoDetail findByCrystalNoAndSegmentNumLessThan(String crystalNo, Integer segmentNum);

    SectionNoDetail findByCrystalNoAndSegmentNumGreaterThan(String crystalNo, Integer segmentNum);

    List<SectionNoDetail> findByCrystalNo(String crystalNo);

    SectionNoDetail findByCrystalNoAndOxygenCarbonMark(String crystalNo,Integer oxygenCarbonMark);
}
